#ifndef __MARGINS_H
#define __MARGINS_H

#include "client.h"

void getNetWMStrut(Window, gulong *);

/* Gets the thickness of the margin on a given side, between coords start (left
 * or top) and end (right or bottom) */
int getMargin(int side, int start, int end);

void delNetWMStrut(Client *);

/* As getMargin in hints.h but adds size of client's frame to range */
int getMarginWithFrame(Client * c, int side, int start, int end);

GList *global_margins_first(void);

#endif /* __MARGINS_H */
